// Top-level build file where you can add configuration options common to all sub-projects/modules.
android{
plugins {
    id 'com.android.application' version '7.3.0' apply true
    id 'com.android.library' version '7.3.0' apply true
}
sourceSets{
    main{
        jniLibs.srcDir 'libs'
        jni.srcDirs = []    //disable automatic ndk-build
    }
}
buildTypes {
    release {
        minifyEnabled true
        shrinkResources true
        proguardFiles getDefaultProguardFile(
                'proguard-android-optimize.txt'),
                'proguard-rules.pro'
    }
}
sourceSets{
    main{
        jniLibs.srcDirs=['libs']
    }
}
dependencies {
    compile fileTree(dir:  'libs' , include: ['*.jar'])
    androidTestCompile ('com.android.support.test.espresso: espresso-core: 2.2.2', {
        exclude group: 'com.android.support',  module: 'support-annotations'
    })
    compile 'com.android.support: appcompat-v7:25.1.0'
    testCompile 'junit: junit: 4.12'
}
}